# Uses of Interface
org.eclipse.net4j.util.StringTester

Packages that use StringTester
Package
Description
org.eclipse.net4j.util
Utility classes.

## Uses of StringTester in org.eclipse.net4j.util

Fields in org.eclipse.net4j.util declared as StringTester
Modifier and Type
Field
Description
`static final StringTester`
StringTester.`CONTAINS`
`static final StringTester`
StringTester.`CONTAINS_CI`
`static final StringTester`
StringTester.`EQ`
`static final StringTester`
StringTester.`EQ_CI`
`static final StringTester`
StringTester.`EQ_FLOAT`
`static final StringTester`
StringTester.`EQ_INT`
`static final StringTester`
StringTester.`GLOB`
`static final StringTester`
StringTester.`GLOB_CI`
`static final StringTester`
StringTester.`GT`
`static final StringTester`
StringTester.`GT_CI`
`static final StringTester`
StringTester.`GT_FLOAT`
`static final StringTester`
StringTester.`GT_INT`
`static final StringTester`
StringTester.`GTE`
`static final StringTester`
StringTester.`GTE_CI`
`static final StringTester`
StringTester.`GTE_FLOAT`
`static final StringTester`
StringTester.`GTE_INT`
`static final StringTester`
StringTester.`LT`
`static final StringTester`
StringTester.`LT_CI`
`static final StringTester`
StringTester.`LT_FLOAT`
`static final StringTester`
StringTester.`LT_INT`
`static final StringTester`
StringTester.`LTE`
`static final StringTester`
StringTester.`LTE_CI`
`static final StringTester`
StringTester.`LTE_FLOAT`
`static final StringTester`
StringTester.`LTE_INT`
`static final StringTester`
StringTester.`NEQ`
`static final StringTester`
StringTester.`NEQ_CI`
`static final StringTester`
StringTester.`NEQ_FLOAT`
`static final StringTester`
StringTester.`NEQ_INT`
`static final StringTester`
StringTester.`REGEX`
`static final StringTester`
StringTester.`REGEX_CI`
`static final StringTester`
StringTester.`REGEX_FIND`
`static final StringTester`
StringTester.`REGEX_FIND_CI`
Methods in org.eclipse.net4j.util that return StringTester
Modifier and Type
Method
Description
`default StringTester`
StringTester.`and(BiPredicate<? super String,? super String> other)`
`static StringTester`
StringTester.`asFloat(DoubleBiPredicate other)`
`static StringTester`
StringTester.`asInt(LongBiPredicate other)`
`default StringTester`
StringTester.`caseInsensitive()`
`static StringTester`
StringTester.`caseInsensitive(StringTester other)`
`default StringTester`
StringTester.`negate()`
`default StringTester`
StringTester.`or(BiPredicate<? super String,? super String> other)`
`default StringTester`
StringTester.`safe()`
`static StringTester`
StringTester.`safe(StringTester other)`
Methods in org.eclipse.net4j.util with parameters of type StringTester
Modifier and Type
Method
Description
`static StringTester`
StringTester.`caseInsensitive(StringTester other)`
`static StringTester`
StringTester.`safe(StringTester other)`